Package org.springframework.aop.framework.autoproxy

# Class ProxyCreationContext

java.lang.Object
org.springframework.aop.framework.autoproxy.ProxyCreationContext

public final class ProxyCreationContext extends Object
Holder for the current proxy creation context, as exposed by auto-proxy creators such as `AbstractAdvisorAutoProxyCreator`.

Since:
  2.5
Author:
  Juergen Hoeller, Ramnivas Laddad

## Method Summary

Modifier and Type
Method
Description
`static String`
`getCurrentProxiedBeanName()`
Return the name of the currently proxied bean instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getCurrentProxiedBeanName

@Nullable public static String getCurrentProxiedBeanName()
Return the name of the currently proxied bean instance.

Returns:
  the name of the bean, or `null` if none available